<switches>
<!--开关属性配置说明：
id：开关的唯一id，
default：开关默认状态，两位表示，个位表示beta版本的状态，十位表示商用版本的状态，0为关闭，1位开启，如：11表示，beta和商用版本都默认开启，01表示商用版本默认关闭，beta默认开启
magicui字段支持两种格式的选择，表示如：单个版本"6.0.0|7.0.0|8.0.0" 和“7.1.0及以后版本”-》">=7.1.0"
-->
<!--property属性类控制开关-->
    <switchItem id="basic_applogcat" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="applogcat" description="android基础日志" />
        <namePara language="en" title="applogcat" description="applogcat basic logs" />
        <switchOnPara key="ctl.start" value="applogcat"/>
        <switchOffPara key="ctl.stop" value="applogcat"/>
    </switchItem>
    <switchItem id="basic_kmsglogcat" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="kmsglogcat" description="android基础日志" />
        <namePara language="en" title="kmsglogcat" description="kmsglogcat basic logs" />
        <switchOnPara key="ctl.start" value="kmsglogcat"/>
        <switchOffPara key="ctl.stop" value="kmsglogcat"/>
    </switchItem>
    <switchItem id="basic_rillogcat" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="rillogcat" description="android基础日志" />
        <namePara language="en" title="rillogcat" description="rillogcat basic logs" />
        <switchOnPara key="ctl.start" value="rillogcat"/>
        <switchOffPara key="ctl.stop" value="rillogcat"/>
    </switchItem>
    <switchItem id="basic_sleeplogcat" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="sleeplogcat" description="android基础日志" />
        <namePara language="en" title="sleeplogcat" description="sleeplogcat basic logs" />
        <switchOnPara key="ctl.start" value="sleeplogcat"/>
        <switchOffPara key="ctl.stop" value="sleeplogcat"/>
    </switchItem>
    <switchItem id="basic_chargelogcat" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="chargelogcat" description="android基础日志" />
        <namePara language="en" title="chargelogcat" description="chargelogcat basic logs" />
        <switchOnPara key="ctl.start" value="chargelogcat"/>
        <switchOffPara key="ctl.stop" value="chargelogcat"/>
    </switchItem>
    <switchItem id="basic_eventslogcat" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="chargelogcat" description="android基础日志" />
        <namePara language="en" title="chargelogcat" description="chargelogcat basic logs" />
        <switchOnPara key="ctl.start" value="eventslogcat"/>
        <switchOffPara key="ctl.stop" value="eventslogcat"/>
    </switchItem>
    <switchItem id="basic_sensorhub" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="shlogd" description="sensor hub logs" />
        <namePara language="en" title="shlogd" description="sensor hub logs" />
        <switchOnPara key="ctl.start" value="shlogd"/>
        <switchOffPara key="ctl.stop" value="shlogd"/>
    </switchItem>
    <switchItem id="basic_teeos" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="teelogcat" description="teelogcat logs" />
        <namePara language="en" title="teelogcat" description="teelogcat logs" />
        <switchOnPara key="ctl.start" value="teelogcat"/>
        <switchOffPara key="ctl.stop" value="teelogcat"/>
    </switchItem>
    <switchItem id="basic_isplogcat" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="isplogcat" description="isplogcat logs" />
        <namePara language="en" title="isplogcat" description="isplogcat logs" />
        <switchOnPara key="ctl.start" value="isplogcat"/>
        <switchOffPara key="ctl.stop" value="isplogcat"/>
    </switchItem>
    <switchItem id="basic_hilog" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="hilog" description="hilog basic logs" />
        <namePara language="en" title="hilog" description="hilog basic logs" />
        <switchOnPara key="ctl.start" value="hilog"/>
        <switchOffPara key="ctl.stop" value="hilog"/>
    </switchItem>
    <switchItem id="basic_hiapplogcat" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="hiapplogcat" description="基础日志" />
        <namePara language="en" title="hiapplogcat" description="hiapplogcat" />
        <switchOnPara key="ctl.start" value="hiapplogcat"/>
        <switchOffPara key="ctl.stop" value="hiapplogcat"/>
    </switchItem>
    <switchItem id="persist_tag" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="hiapplogcat" description="打印日志tag" />
        <namePara language="en" title="hiapplogcat" description="log print tags" />
        <switchOnPara key="persist.log.tag" value="I"/>
        <switchOffPara key="persist.log.tag" value="S"/>
    </switchItem>
    <switchItem id="wifi_minidump" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="wifi日志" description="抓取wifi dump日志" />
        <namePara language="en" title="wifi minidump" description="catch wifi dump logs" />
        <switchOnPara key="persist.sys.msc.wifiminidump.on" value="true"/>
        <switchOffPara key="persist.sys.msc.wifiminidump.on" value="false"/>
    </switchItem>
    <switchItem id="ncdft_gps_cnss_diag" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="GPS日志" description="GPS日志" />
        <namePara language="en" title="GPS log" description="GPS log" />
        <switchOnPara key="ctl.start" value="vendor.cnss_diag"/>
        <switchOffPara key="ctl.stop" value="vendor.cnss_diag"/>
    </switchItem>
    <switchItem id="ncdft_connsyslog" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="GPS日志" description="GPS日志" />
        <namePara language="en" title="GPS log" description="GPS log" />
        <switchOnPara key="ctl.start" value="connsyslogger"/>
        <switchOffPara key="ctl.stop" value="connsyslogger"/>
    </switchItem>
    <switchItem id="power_bmslog" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="功耗日志" description="功耗日志" />
        <namePara language="en" title="power log" description="power log" />
        <switchOnPara key="bms.logcat.enabled" value="1"/>
        <switchOffPara key="bms.logcat.enabled" value="0"/>
    </switchItem>
    <switchItem id="bt_hci" type="property" permission="system" platform="qcom|mtk"  magicui=">=7.1.0" default="01">
        <namePara language="cn" title="hci日志" description="hci日志" />
        <namePara language="en" title="hci log" description="hci log" />
        <switchOnPara key="persist.bluetooth.btsnoopenable" value="true"/>
        <switchOffPara key="persist.bluetooth.btsnoopenable" value="false"/>
    </switchItem>
<!--service服务类控制开关-->
    <switchItem id="power_dubai" type="service" permission="root" platform="qcom|mtk" magicui=">=7.1.0" default="01">
        <namePara language="cn" title="功耗故障" description="功耗日志" />
        <namePara language="en" title="power logs" description="power logs" />
        <switchOnPara name="DubaiService" code="1011"  token="com.hihonor.dubai.IDubaiService"
                intentName="" intentPkgName="" intentClassName="">
               <extraPara key="" value="day=4" type="string" /> <!--5天-->
        </switchOnPara>
        <switchOffPara  name="DubaiService" code="1013"  token="com.hihonor.dubai.IDubaiService"
                intentName="" intentPkgName="" intentClassName=""/>
    </switchItem>
        <switchItem id="dmd_thplog" type="service" permission="root" platform="qcom|mtk" magicui=">=7.1.0" default="01">
        <namePara language="cn" title="功耗故障" description="功耗日志" />
        <namePara language="en" title="power logs" description="power logs" />
        <switchOnPara name="hiview" code="3002"  token="android.os.IHiview"
                intentName="" intentPkgName="" intentClassName="">
                <extraPara key="" value="1" type="int" />
        </switchOnPara>
        <switchOffPara name="hiview" code="3002"  token="android.os.IHiview"
                intentName="" intentPkgName="" intentClassName="">
                <extraPara key="" value="0" type="int" />
        </switchOffPara>
    </switchItem>
    <switchItem id="reliablity_faultdetect" type="service" permission="root" platform="qcom|mtk" magicui=">=7.1.0" default="01">
        <namePara language="cn" title="可靠性故障检测" description="可靠性故障检测日志" />
        <namePara language="en" title="Reliablity fault detect" description="catch reliability fault detect " />
        <switchOnPara name="faultdetectservice" code="1"  token="hiview.faultdetect.service"
                intentName="" intentPkgName="" intentClassName="">
        </switchOnPara>
        <switchOffPara name="faultdetectservice" code="2"  token="hiview.faultdetect.service"
                intentName="" intentPkgName="" intentClassName=""/>
    </switchItem>
    <switchItem id="jank_systrace" type="service" permission="root" platform="qcom|mtk" magicui=">=7.1.0" default="01">
        <namePara language="cn" title="性能" description="开启性能日志开关将抓取systrace日志" />
        <namePara language="en" title="Performance" description="catch systrace logs for performance issue" />
        <switchOnPara name="jank" code="4"  token="android.os.IJankManager"
                intentName="" intentPkgName="" intentClassName="">
        </switchOnPara>
        <switchOffPara name="jank" code="5"  token="android.os.IJankManager"/>
    </switchItem>
  <switchItem id="memleak_systemui" type="service" permission="root" platform="MTK,QCOM" magicui=">=7.1.0" default="00" associateId="">
    <namePara language="cn" title="systemui memory leak" description="systemui memory leak"/>
    <namePara language="en" title="systemui memory leak" description="systemui memory leak"/>
    <switchOnPara name="hiview" code="8" token="android.os.IHiview" intentName="" intentPkgName="" intentClassName="">
      <extraPara key="resourcetype" value="2" type="int"/>
      <extraPara key="memoryconfig" value="{&quot;target&quot;:{&quot;log_collect_param&quot;:{&quot;java&quot;:{&quot;log&quot;:&quot;art_method_stack&quot;,&quot;stop&quot;:0},&quot;dma_buf&quot;:{&quot;log&quot;:&quot;fd_track&quot;,&quot;stop&quot;:1048576}},&quot;name&quot;:&quot;com.android.systemui&quot;,&quot;retry_times&quot;:3,&quot;timeout&quot;:259200}}" type="string"/>
      <extraPara key="stop" value="false" type="boolean"/>
    </switchOnPara>
    <switchOffPara name="hiview" code="8" token="android.os.IHiview" intentName="" intentPkgName="" intentClassName="">
      <extraPara key="resourcetype" value="2" type="int"/>
      <extraPara key="memoryconfig" value="{&quot;target&quot;:{&quot;log_collect_param&quot;:{&quot;java&quot;:{&quot;log&quot;:&quot;art_method_stack&quot;,&quot;stop&quot;:0},&quot;dma_buf&quot;:{&quot;log&quot;:&quot;fd_track&quot;,&quot;stop&quot;:1048576}},&quot;name&quot;:&quot;com.android.systemui&quot;,&quot;retry_times&quot;:3,&quot;timeout&quot;:259200}}" type="string"/>
      <extraPara key="stop" value="true" type="boolean"/>
    </switchOffPara>
  </switchItem>
<!--broadcast广播类控制开关-->
    <switchItem id="comm_modem" type="broadcast" permission="system" platform="qcom|mtk"  magicui="7.0.0|7.1.0" default="01">
        <namePara language="cn" title="通信日志开关" description="通信日志开关" />
        <namePara language="en" title="Communication log" description="communication log" />
        <switchOnPara intentName="com.hihonor.lcagent.MODEM_SWITCH_ON"
            intentPermission="android.permission.USES_HW_LOG_SERVICE"
            intentPkgName="com.hihonor.android.chr"
            intentClassName="com.hihonor.mdlog.MdlogReceiver"
            intentFlag= "10000000">
            <extraPara key="logswitch_timeout" value="1" type="int" />
            <extraPara key="opentype" value="1" type="int" />
            <extraPara key="num" value="6" type="int" />
            <extraPara key="size" value="50" type="int" />
        </switchOnPara>
        <switchOffPara intentName="com.hihonor.lcagent.MODEM_SWITCH_OFF"
            intentPermission="android.permission.USES_HW_LOG_SERVICE"
            intentPkgName="com.hihonor.android.chr"
            intentClassName="com.hihonor.mdlog.MdlogReceiver">
            <extraPara key="opentype" value="1" type="int"/>
        </switchOffPara>
    </switchItem>
    <switchItem id="reliablity_ssrdump" type="broadcast" permission="system" platform="qcom"  magicui="7.0.0|7.1.0" default="00">
        <namePara language="cn" title="可靠性ssrdump日志开关" description="可靠性ssrdump转fulldump日志" />
        <namePara language="en" title="stability ssrdump" description="stability ssrdump convert to fulldump log" />
        <switchOnPara intentName="com.hihonor.android.chr.action.ACTION_REPORT_CHR"
            intentPermission="com.hihonor.android.permission.GET_CHR_DATA"
            intentPkgName="com.hihonor.android.chr"
            intentClassName=""
            intentFlag= "">
            <extraPara key="module_id" value="30006" type="int" />
            <extraPara key="ssr_reason" value="err_inject_crash.c:411,test.c:411" type="string-list" />
        </switchOnPara>
        <switchOffPara intentName="com.hihonor.android.chr.action.ACTION_REPORT_CHR"
            intentPermission="com.hihonor.android.permission.GET_CHR_DATA"
            intentPkgName="com.hihonor.android.chr"
            intentClassName="">
            <extraPara key="module_id" value="30006" type="int" />
            <extraPara key="ssr_reason" value="" type="string-list" />
        </switchOffPara>
    </switchItem>
    <switchItem id="app_smslog" type="broadcast" permission="system" platform="qcom|mtk"  magicui="7.0.0|7.1.0" default="01">
        <namePara language="cn" title="短信应用日志开关" description="短信应用日志" />
        <namePara language="en" title="sms application logs" description="sms logs" />
        <switchOnPara intentName="com.hihonor.application.logCollect"
            intentPermission="com.hihonor.application.permission.logCollect"
            intentPkgName="" intentClassName="">
            <extraPara key="switch" value="1" type="int" />
            <extraPara key="logswitch_timeout" value="1" type="int" />
        </switchOnPara>
        <switchOffPara intentName="com.hihonor.application.logCollect"
            intentPermission="com.hihonor.application.permission.logCollect"
            intentPkgName="" intentClassName="">
            <extraPara key="switch" value="0" type="int" />
        </switchOffPara>
    </switchItem>
    <switchItem id="systemui_heaptrack" type="broadcast" permission="system" platform="qcom|mtk"  magicui="7.0.0|7.1.0" default="00">
        <namePara language="cn" title="SystemUI内存监控开关" description="SystemUI内存监控开关" />
        <namePara language="en" title="systemUI heap tracking" description="systemUI heap tracking" />
        <switchOnPara intentName="com.android.systemui.action.HEAP_TRACKING"
            intentPermission="com.android.systemui.permission.HEAP_TRACKING"
            intentPkgName="com.android.systemui"
            intentClassName=""
            intentFlag= "">
            <extraPara key="switch" value="1" type="int" />
        </switchOnPara>
        <switchOffPara intentName="com.android.systemui.action.HEAP_TRACKING"
            intentPermission="com.android.systemui.permission.HEAP_TRACKING"
            intentPkgName="com.android.systemui"
            intentClassName="" >
            <extraPara key="switch" value="0" type="int"/>
        </switchOffPara>
    </switchItem>
  <switchItem id="tcpdump" type="broadcast" permission="system" platform="QCOM,MTK" magicui=">=7.1.0" default="01">
    <namePara language="cn" title="Tcpdump日志开关" description="tcpdump日志开关"/>
    <namePara language="en" title="Tcpdump log" description="Tcpdump log switch"/>
    <switchOnPara intentName="com.hihonor.lcagent.TCPDUMP" intentPermission="android.permission.USES_HW_LOG_SERVICE" intentPkgName="" intentClassName="com.hihonor.lcagent.service.receiver.LogCollectReceiver" intentFlag="">
      <extraPara key="status" value="1" type="int"/>
      <extraPara key="cmd" value="tcpdump -s 92 -i any -C 15 -W 5 -w data/log/tcpdump/commercial_tcpdump.pcap  ether proto 0x86dd or 0x0800" type="string"/>
    </switchOnPara>
    <switchOffPara intentName="com.hihonor.lcagent.TCPDUMP" intentPermission="android.permission.USES_HW_LOG_SERVICE" intentPkgName="" intentClassName="com.hihonor.lcagent.service.receiver.LogCollectReceiver" intentFlag="">
      <extraPara key="status" value="0" type="int"/>
    </switchOffPara>
  </switchItem>
  <switchItem id="feedback_modem" type="broadcast" permission="system" platform="QCOM,MTK" magicui=">=7.1.0" default="01" associateId="">
    <namePara language="cn" title="自反馈通讯信息开关" description="打开/关闭自反馈通讯信息开关"/>
    <namePara language="en" title="User Feedback Communication log" description="user communication log switch"/>
    <switchOnPara intentName="com.hihonor.lcagent.MODEM_SWITCH_ON" intentPermission="android.permission.USES_HW_LOG_SERVICE" intentPkgName="com.hihonor.android.chr" intentClassName="com.hihonor.mdlog.MdlogReceiver" intentFlag="10000000">
      <extraPara key="opentype" value="7" type="int"/>
      <extraPara key="num" value="20" type="int"/>
      <extraPara key="size" value="50" type="int"/>
    </switchOnPara>
    <switchOffPara intentName="com.hihonor.lcagent.MODEM_SWITCH_OFF" intentPermission="android.permission.USES_HW_LOG_SERVICE" intentPkgName="com.hihonor.android.chr" intentClassName="com.hihonor.mdlog.MdlogReceiver" intentFlag="">
      <extraPara key="opentype" value="7" type="int"/>
    </switchOffPara>
  </switchItem>
</switches>